Skip to main content
POST
/
api
/
v3
/
profiles
/
link
/
{link_id}
Change link options
curl --request POST \
  --url https://api.dataspike.io/api/v3/profiles/link/{link_id} \
  --header 'Content-Type: application/json' \
  --header 'ds-api-token: <api-key>' \
  --data '
{
  "expiration_in_minutes": 240
}
'
{
  "link_id": "LI2V0BVmLfGFQZbZQ3B7CeH3"
}

Authorizations

ds-api-token
string
header
required

Path Parameters

Existing link id

Example:

"LFHN68QOYQ9GUGH6U"

Body

application/json

Verification Link payload

expiration_in_minutes
integer
default:240

Verification created with this link will have this expiration.

Example:

240

manual_field_settings
object
deprecated

This settings has migrated to VerificationProfileSettings

finish_screen_settings
object
deprecated

This settings has migrated to VerificationProfileSettings

Response

Link successfully updated

Link id properties

Unique id of link. Participated in public url.

Example:

"LI2V0BVmLfGFQZbZQ3B7CeH3"